/**
 * Copyright (C) 2011 Brian Ferris <bdferris@onebusaway.org>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.onebusaway.siri.core.exceptions;

public class SiriMissingArgumentException extends SiriException {

  private static final long serialVersionUID = 1L;

  private final String _name;

  private final String _parentName;

  public SiriMissingArgumentException(String name) {
    super("<" + name + "/>, a required element, is missing");
    _name = name;
    _parentName = null;
  }

  public SiriMissingArgumentException(String name, String parentName) {
    super("<" + name + "/>, a required element of <" + parentName
        + "/>, is missing");
    _name = name;
    _parentName = parentName;
  }

  public String getName() {
    return _name;
  }

  public String getParentName() {
    return _parentName;
  }
}
